
Foreman - Bug #24279

`handle_ca` still called in ssh provisioning even though the method was removed

07/17/2018 08:39 PM - Ian Ballou

Status: Closed   

Priority: Normal   

Assignee: Ian Ballou   

Category: Orchestration   

Target version: 1.18.1   

Difficulty:  Fixed in Releases: 1.19.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5846,

https://github.com/theforeman/foreman/p

ull/5854

  

Description

`handle_ca` is still being called in app/models/concerns/orchestration/ssh_provision.rb under `setSSHCert`.  This method was

removed here: https://github.com/theforeman/foreman/pull/5580/files.

This is causing ssh provisioning to fail since the method cannot be found.

Related issues:

Related to Foreman - Feature #23626: Move PuppetCA autosigning to build queue Closed 05/17/2018

Associated revisions

Revision 6113b635 - 07/19/2018 07:31 AM - Ian 

Fixes #24279 - removed setSSHCert - handle_ca no longer around

History

#1 - 07/17/2018 08:40 PM - Ian Ballou

- Assignee set to Ian Ballou

#2 - 07/17/2018 08:48 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5846 added

#3 - 07/18/2018 09:20 AM - Timo Goebel

- Fixed in Releases 1.19.0 added

#4 - 07/19/2018 07:31 AM - Timo Goebel

- Related to Feature #23626: Move PuppetCA autosigning to build queue added

#5 - 07/19/2018 07:35 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5854 added

#6 - 07/19/2018 08:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6113b6355d43d4ad7135e98d439530c8a3864ca8.

#7 - 07/19/2018 11:36 AM - Daniel Lobato Garcia

- Target version set to 1.18.1
https://github.com/theforeman/foreman/pull/5580/files
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/6113b6355d43d4ad7135e98d439530c8a3864ca8


- Fixed in Releases 1.18.1 added

#8 - 07/22/2018 12:28 PM - Tomer Brisker

- Fixed in Releases 1.19.0-RC1 added

- Fixed in Releases deleted (1.19.0)

#9 - 07/23/2018 01:34 PM - Tomer Brisker

- Fixed in Releases 1.19.0 added

- Fixed in Releases deleted (1.19.0-RC1)

#10 - 07/24/2018 02:12 PM - Tomer Brisker

- Category set to Orchestration

#11 - 08/28/2018 01:44 PM - Tomer Brisker

- Fixed in Releases 1.20.0 added

- Fixed in Releases deleted (1.18.1)

#12 - 08/29/2018 03:39 PM - Greg Sutcliffe

- Fixed in Releases deleted (1.20.0)
